Workbook workbook = new Workbook();
workbook.open("template.xlsx");

Category category1 = new Category("Category1");
Category category2 = new Category("Category2");

SubCategory subCategory1 = new SubCategory("Category1-A");
SubCategory subCategory2 = new SubCategory("Category1-B");
SubCategory subCategory3 = new SubCategory("Category2-A");

Item item1 = new Item("Item1", "11111", 123, 456, 111, "kWh");
Item item2 = new Item("Item2", "22222", 456, 789, 222, "kWh");
Item item3 = new Item("Item3", "33333", 789, 234, 333, "kWh");
Item item4 = new Item("Item4", "44444", 234, 567, 444, "kWh");
Item item5 = new Item("Item5", "55555", 567, 890, 555, "kWh");
subCategory1.items = new ArrayList<>(Arrays.asList(item1, item2));
subCategory2.items = new ArrayList<>(Arrays.asList(item3, item4));
subCategory3.items = new ArrayList<>(Arrays.asList(item5));
category1.subCat = new ArrayList<>(Arrays.asList(subCategory1, subCategory2));
category2.subCat = new ArrayList<>(Arrays.asList(subCategory3));

category1.testItems = new ArrayList<>(Arrays.asList(new TestItem("XX", "AA"), new TestItem("XX2", "AA2")));
category2.testItems = new ArrayList<>(Arrays.asList(new TestItem("YY", "BB")));

ArrayList<Category> ds = new ArrayList<>(Arrays.asList(category1, category2));

workbook.addDataSource("ds", ds);
workbook.processTemplate();
workbook.getWorksheets().get(0).getSheetView().setDisplayGridlines(false);
workbook.save("result.xlsx");